Library Version 12.1.6.0

DB_ENV->get_data_dirs()
Prev | Chapter 5. The DB_ENV Handle | Next

## DB_ENV->get_data_dirs()

    #include <db.h>

    int
    DB_ENV->get_data_dirs(DB_ENV *dbenv, const char ***dirpp);

The `DB_ENV->get_data_dirs()` method returns the NULL-terminated array of directories.

The `DB_ENV->get_data_dirs()` method may be called at any time during the life of the application.

The `DB_ENV->get_data_dirs()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### dirpp

The `DB_ENV->get_data_dirs()` method returns a reference to the NULL-terminated array of directories in dirpp.

### Class

DB_ENV

### See Also

Database Environments and Related Methods

Prev | Up | Next
DB_ENV->get_create_dir() | Home | DB_ENV->get_encrypt_flags()